# Ripley

Simple CSS animation via JavaScript.

<img src="ripley.jpg" width="160" height="100">

## Vanilla JavaScript

Compatible with modern browsers only (ES6+).

```
let rply = new Ripley(elem);
rply.animate(prop, val, {speed: 0, ease: '', delay: 0});
```

Required:
* ```elem``` HTML element
* ```prop``` CSS property
* ```val``` Value of CSS property

Optional:
* ```speed``` Speed of animation (default: 0.25)
* ```ease``` Animation easing: ease-out (default), ease-in, ease-in-out, linear
* ```delay``` Delay before animation (default: 0)

### Example

```
let rply = new Ripley(document.querySelector('#elem'));
rply.animate('opacity', '1', {speed: 0.25, ease: 'ease-out', delay: 0});
```

## jQuery

[jQuery](https://jquery.com) required. Multiple elements and chaining supported.

```
$(elem).ripley(prop, val, {speed: 0, ease: '', delay: 0});
```

Required:
* ```elem``` HTML element
* ```prop``` CSS property
* ```val``` Value of CSS property

Optional:
* ```speed``` Speed of animation (default: 0.25)
* ```ease``` Animation easing: ease-out (default), ease-in, ease-in-out, linear
* ```delay``` Delay before animation (default: 0)

### Example

```
$('#elem').ripley('opacity', '1', {speed: 0.25, ease: 'ease-out', delay: 0});
```

### [MIT License](https://en.wikipedia.org/wiki/MIT_License) 2019
